| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::guild_scheduled_event_delete_t Struct Reference

Delete scheduled event. More...

`#include <dispatcher.h>`

Inheritance diagram for dpp::guild_scheduled_event_delete_t:
[legend]
Collaboration diagram for dpp::guild_scheduled_event_delete_t:
[legend]

## Public Member Functions

event_dispatch_t & | cancel_event ()
| Cancels the event in progress. Any other attached lambdas for this event after this one are not called.
const event_dispatch_t & | cancel_event () const
| Cancels the event in progress. Any other attached lambdas for this event after this one are not called.
| event_dispatch_t ()=default
| Construct a new event_dispatch_t object.
| event_dispatch_t (const event_dispatch_t &rhs)=default
| Construct a new event_dispatch_t object.
| event_dispatch_t (dpp::cluster *creator, uint32_t shard_id, const std::string &raw)
| Construct a new event_dispatch_t object.
| event_dispatch_t (dpp::cluster *creator, uint32_t shard_id, std::string &&raw)
| Construct a new event_dispatch_t object.
| event_dispatch_t (event_dispatch_t &&rhs)=default
| Construct a new event_dispatch_t object.
discord_client * | from () const
| Returns the shard object for the events shard id.
bool | is_cancelled () const
| Returns true if the event is cancelled. Note that event cancellation is a thread local state, and not stored in the object (because object which can be cancelled is const during the event, and cannot itself contain the changeable state).
event_dispatch_t & | operator= (const event_dispatch_t &rhs)=default
| Copy another event_dispatch_t object.
event_dispatch_t & | operator= (event_dispatch_t &&rhs)=default
| Move from another event_dispatch_t object.

## Public Attributes

bool | cancelled = false
| Whether the event was cancelled using cancel_event().
scheduled_event | deleted = {}
| deleted event
dpp::cluster * | owner = nullptr
| Cluster owning the event dispatch.
std::string | raw_event = {}
| Raw event data. If you are using json on your websocket, this will contain json, and if you are using ETF as your websocket protocol, it will contain raw ETF data.
uint32_t | shard = 0
| Shard the event came from.

## Detailed Description

Delete scheduled event.

## Member Function Documentation

## ◆ cancel_event() [1/2]

event_dispatch_t & dpp::event_dispatch_t::cancel_event | ( |  | ) |

inherited

Cancels the event in progress. Any other attached lambdas for this event after this one are not called.

Warning
  This will modify the event object in a non-thread-safe manner.

Returns
  const event_dispatch_t& reference to self for chaining

## ◆ cancel_event() [2/2]

const event_dispatch_t & dpp::event_dispatch_t::cancel_event | ( |  | ) | const

inherited

Cancels the event in progress. Any other attached lambdas for this event after this one are not called.

Warning
  This will modify the event object in a non-thread-safe manner.

Returns
  const event_dispatch_t& reference to self for chaining

## ◆ event_dispatch_t() [1/5]

dpp::event_dispatch_t::event_dispatch_t | ( |  | ) |

default

Construct a new event_dispatch_t object.

## ◆ event_dispatch_t() [2/5]

dpp::event_dispatch_t::event_dispatch_t | ( | const event_dispatch_t & | rhs | ) |

default

Construct a new event_dispatch_t object.

Parameters

  rhs | event_dispatch_t object to copy from

## ◆ event_dispatch_t() [3/5]

dpp::event_dispatch_t::event_dispatch_t | ( | dpp::cluster * | creator,
|  | uint32_t | shard_id,
|  | const std::string & | raw )

Construct a new event_dispatch_t object.

Parameters

  shard_id | The shard the event originated on.
  raw | Raw event data as JSON or ETF

## ◆ event_dispatch_t() [4/5]

dpp::event_dispatch_t::event_dispatch_t | ( | dpp::cluster * | creator,
|  | uint32_t | shard_id,
|  | std::string && | raw )

Construct a new event_dispatch_t object.

Parameters

  shard_id | The shard the event originated on.
  raw | Raw event data as JSON or ETF

## ◆ event_dispatch_t() [5/5]

dpp::event_dispatch_t::event_dispatch_t | ( | event_dispatch_t && | rhs | ) |

default

Construct a new event_dispatch_t object.

Parameters

  rhs | event_dispatch_t object to move from

## ◆ from()

discord_client * dpp::event_dispatch_t::from | ( |  | ) | const

inherited

Returns the shard object for the events shard id.

Returns
  discord client object

## ◆ is_cancelled()

bool dpp::event_dispatch_t::is_cancelled | ( |  | ) | const

inherited

Returns true if the event is cancelled. Note that event cancellation is a thread local state, and not stored in the object (because object which can be cancelled is const during the event, and cannot itself contain the changeable state).

Returns
  true if the event is cancelled

## ◆ operator=() [1/2]

event_dispatch_t & dpp::event_dispatch_t::operator= | ( | const event_dispatch_t & | rhs | ) |

default

Copy another event_dispatch_t object.

Parameters

  rhs | The event to copy from

## ◆ operator=() [2/2]

event_dispatch_t & dpp::event_dispatch_t::operator= | ( | event_dispatch_t && | rhs | ) |

default

Move from another event_dispatch_t object.

Parameters

  rhs | The event to move from

## Member Data Documentation

## ◆ cancelled

bool dpp::event_dispatch_t::cancelled = false

mutable inherited

Whether the event was cancelled using cancel_event().

## ◆ deleted

scheduled_event dpp::guild_scheduled_event_delete_t::deleted = {}

deleted event

## ◆ owner

dpp::cluster* dpp::event_dispatch_t::owner = nullptr

inherited

Cluster owning the event dispatch.

## ◆ raw_event

std::string dpp::event_dispatch_t::raw_event = {}

inherited

Raw event data. If you are using json on your websocket, this will contain json, and if you are using ETF as your websocket protocol, it will contain raw ETF data.

## ◆ shard

uint32_t dpp::event_dispatch_t::shard = 0

inherited

Shard the event came from.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0